Error while updating to 7.1.4 or 7.2.0 - CPU support for AVX instructions

When I try to update from 7.1.3 to 7.1.4 or 7.2.0 I get an error from the installer of “Your CPU must support AVX instructions to install this program”.

Looking on wikipedia, my CPU (Ryzen 7 1800X) supports AVX and AVX2 but not AVX-512. Has the system requirements increased and the error is wrong?

I see an earlier post saying anti-virus can cause this error, I’ve tried disabling my anti-virus, still getting the error.

Thanks for reaching out.

Would you please reach out to Topaz Labs support so we may better investigate this issue?